Bug 1732908 - Python 3.6 lacks FIPS support
Summary: Python 3.6 lacks FIPS support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python3
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Charalampos Stratakis
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 16:48 UTC by David Davis
Modified: 2020-03-31 20:05 UTC (History)
7 users (show)

Fixed In Version: python3-3.6.8-12.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 20:05:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1132 0 None None None 2020-03-31 20:05:44 UTC

Description David Davis 2019-07-24 16:48:46 UTC
Description of problem:

This should raise a ValueError in FIPS mode but it doesn't:

    python -c "import hashlib; print(hashlib.md5())"

Looks like python36 hasn't been patched with FIPS support.


Version-Release number of selected component (if applicable):

python36-3.6.8-1.el7.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Enable fips mode in Centos 7
2. Check that fips is enabled (eg sysctl crypto.fips_enabled)
3. Run the command above


Actual results:

No exception.


Expected results:

ValueError


Additional info:

Comment 1 Miro Hrončok 2019-07-24 22:12:20 UTC
Given the soon to be added python3 package in RHEL, this EPEL package will be retired soon. Hence reassigning.

Comment 12 Simo Sorce 2020-01-06 13:45:52 UTC
In RHEL-7 we only cared for the crypto libraries' FIPS validation.
In RHEL-8 we stepped up the game to make the whole distribution FIPS compliant, with as few exceptions as possible.

So the current status is fine by us, no sync is needed, and it is actually unwanted as it may break working customer installations.

Comment 16 David Davis 2020-03-06 18:43:54 UTC
Filed a new bug for comment#15:

https://bugzilla.redhat.com/show_bug.cgi?id=1811170

Comment 18 errata-xmlrpc 2020-03-31 20:05:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1132


Note You need to log in before you can comment on or make changes to this bug.